﻿using System;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace demo1
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Camera Capture 작업
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button1_Click(object sender, RoutedEventArgs e)
        {
            CameraCaptureTask cct = new CameraCaptureTask();
            cct.Show();
            cct.Completed += new EventHandler<PhotoResult>(cct_Completed);
        }

        /// <summary>
        /// 카메라 캡춰 완료 이벤트 처리
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void cct_Completed(object sender, PhotoResult e)
        {
            MessageBox.Show(e.OriginalFileName + ":" + e.ChosenPhoto.Length);
        }

        /// <summary>
        /// 핸드폰 주소록에서 이메일 주소 선택 작업
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button2_Click(object sender, RoutedEventArgs e)
        {
            EmailAddressChooserTask ect = new EmailAddressChooserTask();
            ect.Completed += new EventHandler<EmailResult>(ect_Completed);
            ect.Show();
        }

        /// <summary>
        /// 이메일 주소 선택 작업 완료 이벤트 처리
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void ect_Completed(object sender, EmailResult e)
        {
            if (e.TaskResult == TaskResult.OK)
            {
                MessageBox.Show(string.Format(e.Email));
            }
        }

        /// <summary>
        /// 미디어플레이어를 이용한 음악 듣기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button3_Click(object sender, RoutedEventArgs e)
        {
            MediaPlayerLauncher mpl = new MediaPlayerLauncher();
            mpl.Controls = MediaPlaybackControls.All;
            mpl.Location = MediaLocationType.Install;
            mpl.Media = new Uri("files/Kalimba.mp3", UriKind.Relative);
            mpl.Show();
        }

        /// <summary>
        /// 전화하기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button4_Click(object sender, RoutedEventArgs e)
        {
            PhoneCallTask pct = new PhoneCallTask();

            pct.DisplayName = "kaki104";
            pct.PhoneNumber = "123456789"; //This is a fake number dont call :)
            pct.Show();
        }

        /// <summary>
        /// 전화번호 선택하기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button5_Click(object sender, RoutedEventArgs e)
        {
            PhoneNumberChooserTask pnct = new PhoneNumberChooserTask();
            pnct.Completed += new EventHandler<PhoneNumberResult>(pnct_Completed);
            pnct.Show();
        }

        /// <summary>
        /// 전화번호 선택 완료 이벤트 처리
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void pnct_Completed(object sender, PhoneNumberResult e)
        {
            MessageBox.Show(string.Format(e.PhoneNumber));
        }

        /// <summary>
        /// 사진 선택하기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button6_Click(object sender, RoutedEventArgs e)
        {
            PhotoChooserTask pct = new PhotoChooserTask();
            pct.Completed += new EventHandler<PhotoResult>(photochooser_Completed);
            pct.Show();
        }

        /// <summary>
        /// 사진 선택 완료 이벤트 처리
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        public void photochooser_Completed(object sender, PhotoResult e)
        {
            MessageBox.Show(string.Format("Size: " + e.ChosenPhoto.Length + " bytes"));
            MessageBox.Show(string.Format(("File Name: " + e.OriginalFileName)));
        }

        /// <summary>
        /// 검색하기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button7_Click(object sender, RoutedEventArgs e)
        {
            SearchTask st = new SearchTask();
            st.SearchQuery = "silverlight";
            st.Show();
        }

        /// <summary>
        /// SMS보내기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button8_Click(object sender, RoutedEventArgs e)
        {
            SmsComposeTask smsct = new SmsComposeTask();
            smsct.Show(); 
        }

        /// <summary>
        /// 브라우저 열기
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button9_Click(object sender, RoutedEventArgs e)
        {
            WebBrowserTask wbt = new WebBrowserTask();
            wbt.URL = "http://m.naver.com";
            wbt.Show();  
        }


    }
}